/* @import url('https://fonts.googleapis.com/css2?family=Noto+Sans+KR:wght@300&display=swap'); */
@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans+KR&display=swap');

*{
	margin : 0px; padding : 0px;
	/* font-family: 'Noto Sans KR', sans-serif, '맑은 고딕'; */
	font-family : 'IBM Plex Sans KR', '맑은 고딕';
	font-size : 1em;
	-webkit-text-size-adjust: none;
	box-sizing: border-box;
	transition: background-color 0.3s, color 0.3s;
	word-break: break-all;
	
	/* -webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none; */
}

body{
	background-color: #f9f9f9;
	#background-color: #fff;
}

.seperate{
	font-size: 0.8em;
	color: #ccc;
}

.text-info{
	color: #17a2b8 !important;
}
.bg-info{
	background-color: #5bc0de !important;
}
.bg-purple{
	background-color: #7100ff !important;
}
.cursor{
	cursor: pointer;
}

#code_editor{
	border: 1px solid #eee;
}
#code_editor *{
	font-family: 'Monaco', 'Consolas', monospace !important;
}

.text-purple{
	color: #7100ff;
}
.table-title{
	color: #055160 !important;
	background-color: #cff4fc !important;
	border-color: #b6effb !important;
}
.text-bareun{
	color: #084298;
}

.btn-purple{
	--bs-btn-color:#fff;
	--bs-btn-bg:#7100ff;
	--bs-btn-border-color:#7100ff;
	--bs-btn-hover-color:#fff;
	--bs-btn-hover-bg:#6C39AA;
	--bs-btn-hover-border-color:#5C4080;
	--bs-btn-focus-shadow-rgb:49,132,253;
	--bs-btn-active-color:#fff;
	--bs-btn-active-bg:#5C4080;
	--bs-btn-active-border-color:#6C39AA;
	--bs-btn-active-shadow:inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color:#fff;
	--bs-btn-disabled-bg:#7100ff;
	--bs-btn-disabled-border-color:#7100ff
}

.callout {
padding: .7rem;
border: 1px solid #eee;
border-left-width: .25rem;
border-radius: .25rem
}

.callout h4{
margin-top: 0;
margin-bottom: .25rem;
}

.callout p:last-child{
margin-bottom: 0;
}

.callout code{
border-radius: .25rem;
}

.callout+.callout{
margin-top: -.25rem;
}

.callout-info{
border-left-color: #5bc0de;
}

.callout-info h4{
color: #5bc0de;
}

.callout-warning{
border-left-color: #f0ad4e;
}

.callout-warning h4{
color: #f0ad4e;
}

.callout-danger{
border-left-color: #d9534f;
}

.callout-danger h4{
color: #d9534f;
}

.callout-primary{
border-left-color: #007bff;
}

.callout-primary h4{
color: #007bff;
}

.callout-bareun{
border-left-color: #084298;
}

.callout-bareun h4{
color: #084298;
}

.callout-success{
border-left-color: #28a745;
}

.callout-success h4{
color: #28a745;
}

.callout-default{
border-left-color: #6c757d;
}

.callout-default h4{
color: #6c757d;
}


.ck-editor__editable{
	min-height: 350px;
}
.ck-editor__editable p{
	margin: 0
}